Contact Us Contact Us

JDK, JRE, and Plug-In 6.0.x Downloads and Documentation

  Software Depot
Electronic download
Frequently asked questions
-->

» HP-UX 11i Java Home

Key features of JDK 6.0.x are:

  • 32-bit and 64-bit Hotspot 6.0 Virtual Machine
  • HP Technology enhancements to enable greater performance
  • New JVM monitoring and management API
  • New Java Language updates
  • Improved serviceability
  • New security and networking features
  • IPv6 support
  • Supports:
    • HP PA-RISC:
      • HP-UX 11i v1 (11.11)
      • HP-UX 11i v2 (11.23)
      • HP-UX 11i v3 (11.31)
    • HP Itanium®:
      • HP-UX 11i v2 (11.23)
      • HP-UX 11i v3 (11.31)

The HP-UX 11i Java Development Kit (JDK) for the Java™ 2 Platform Standard Edition 6 (Java™ SE 6) provides the programming tools and runtime environment that allow you to deploy version 6.0 technology with the best performance on HP PA-RISC 11i v1 (11.11), 11i v2 (11.23), 11i v3 (11.31) and HP Itanium® 11i v2 (11.23) and 11i v3 (11.31) systems.

The JDK includes the HP-UX 11i Java Runtime Environment (JRE), the Java Runtime Plug-in (JPI) for the Mozilla/Firefox Web browser, and the Java WebStart, which is an application deployment technology.  A standalone redistributable version of the JRE is also available.

Required Patches

Some HP-UX patches may be required for JDK/JRE 6.0.x. First, we recommend that you have the latest HP-UX Quality Pack installed. To obtain it, go to the HP Support Center site at www.hp.com/go/hpsc (you need an HP-UX support contract to obtain quality packs and patches). Then to see what patches are required for your Java version and HP-UX version/Quality Pack, go to the HP-UX Java Patch Information page and follow the Java 6.0 recommendations. The Java Patch Information page also shows you how to determine which Quality Pack is installed on your system.

On PA-RISC systems, a linker patch is required to fix a problem loading libjli.sl.   The following patches are required:

  • HP-UX 11i v1 (11.11) PA-RISC systems: PHSS_35385
  • HP-UX 11i v2 (11.23) PA-RISC systems: PHSS_37201
  • HP-UX 11i v3 (11.31) PA-RISC systems: PHSS_37202

mpas on HP-UX 11i v2 (11.23) Integrity Systems
On HP-UX 11i v2 (11.23) Integrity systems, to use mpas (java_q4p), patch PHKL_35552 is required.

Known Issues:

  • On HP Integrity Itanium® servers, if the Aries option is set to -pa_os_cpu globally, HP-UX 11i Java incorrectly runs PA binaries instead of IA binaries.   This happens silently without any messages. The performance degrades by 2-3 times.   The problem is fixed for JDK releases beginning with 6.0.01, but it is seen across previously released JDKs.


  • fileChannel.map is implemented using mmap on the underlying operating system.   On HP Integrity Itanium® servers running HP-UX 11i, multiple mmap calls of overlapping regions of a single file with the MAP_SHARED flag specified in the mmap call, would result in an error.   (See the mmap manpages for more details.)

    To workaround this problem, -Xmpas:on can be used.   For an MPAS process, each call to mmap is independent of other mappings made by the same process.

    java -d32 -Xmpas:on <java class>
    java -d64 -Xmpas:on <java class>

    This causes the mpas-enabled Java executable java_q4p to be run, which exists for both 32 and 64 bit.   Making the default Java driver mpas might have a slight negative performance impact.

    -Xmpas is available on Java 6.0.00 (or later).

Downloads

Each of the following links contain downloads for JDK/JRE 6.0.x on both Itanium® and PA-RISC.

JDK/JRE 6.0.x Downloads:

» Version 6.0.22 – February 2014 (includes Oracle update 6u71)

» Version 6.0.21 – November 2013 (includes Oracle update 6u65)

» Version 6.0.20 – July 2013 (includes Oracle update 6u51)

» Version 6.0.19 – June 2013 (includes Oracle update 6u45)

» Version 6.0.18 – April 2013 (includes Oracle update 6u43)

» Version 6.0.17 – December 2012 (includes Oracle update 6u37)

» Version 6.0.16 – October 2012 (includes Oracle update 6u35)

» Version 6.0.15 – August 2012 (includes Oracle update 6u33)

» Version 6.0.14 – March 2012 (includes Oracle update 6u31)

» Version 6.0.13 – December 2011 (includes Oracle update 6u29)

» Version 6.0.12 – September 2011 (includes Oracle update 6u26)

» Version 6.0.11 – July 2011 (includes Oracle update 6u26)

» Version 6.0.10 – March 2011 (includes Oracle update 6u24)

» Version 6.0.09 – December 2010 (includes Oracle update 6u22)

» Version 6.0.08 – August 2010 (includes Oracle update 6u21)

» Version 6.0.07 – May 2010 (includes Oracle update 6u20)

» Version 6.0.06 – February 2010 (includes Oracle update 6u17)

» Version 6.0.05 – October 2009 (includes Oracle update 6u16)

» Version 6.0.04 – May 2009 (includes Oracle update 6u13)

» Version 6.0.03 – March 2009 (includes Oracle update 6u11)

» Version 6.0.02 – October 2008 (includes Oracle update 6u07)

» Version 6.0.01 – June 2008 (includes Oracle update 6u05)

» Version 6.0.00 – November 2007

Documentation

Java 6.0 Software for the Java™ 2 Platform Standard Edition 6 (Java™ SE 6) – kits include JRE, Plug-In, and Java Web Start
» Java 6.0.x Release Notes
» HP-UX 11i Java Technical Documentation
» Support for Your Product

Related Information
» Patches Information
» Programmer's Guide for Java 2
» J2SE Platform at a Glance
» Java Out-of-Box Tool
» HP-UX Java FAQ

Java™ and all Java based trademarks and logos are trademarks or registered trademarks of Oracle America and/or its affiliates in the United States and other countries. Java compatible logo